%global modulename eslint

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-eslint
Version:        5.9.0
Release:        1%{?dist}
Summary:        An AST-based pattern checker for JavaScript.

License:        MIT
URL:            https://eslint.org
Source0:        https://registry.npmjs.org/eslint/-/eslint-5.9.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@babel/code-frame) >= 7.0.0 with npmlib(@babel/code-frame) < 8.0.0))
BuildRequires:  ((npmlib(ajv) >= 6.5.3 with npmlib(ajv) < 7.0.0))
BuildRequires:  ((npmlib(chalk) >= 2.1.0 with npmlib(chalk) < 3.0.0))
BuildRequires:  ((npmlib(cross-spawn) >= 6.0.5 with npmlib(cross-spawn) < 7.0.0))
BuildRequires:  ((npmlib(debug) >= 4.0.1 with npmlib(debug) < 5.0.0))
BuildRequires:  ((npmlib(doctrine) >= 2.1.0 with npmlib(doctrine) < 3.0.0))
BuildRequires:  ((npmlib(eslint-scope) >= 4.0.0 with npmlib(eslint-scope) < 5.0.0))
BuildRequires:  ((npmlib(eslint-utils) >= 1.3.1 with npmlib(eslint-utils) < 2.0.0))
BuildRequires:  ((npmlib(eslint-visitor-keys) >= 1.0.0 with npmlib(eslint-visitor-keys) < 2.0.0))
BuildRequires:  ((npmlib(espree) >= 4.0.0 with npmlib(espree) < 5.0.0))
BuildRequires:  ((npmlib(esquery) >= 1.0.1 with npmlib(esquery) < 2.0.0))
BuildRequires:  ((npmlib(esutils) >= 2.0.2 with npmlib(esutils) < 3.0.0))
BuildRequires:  ((npmlib(file-entry-cache) >= 2.0.0 with npmlib(file-entry-cache) < 3.0.0))
BuildRequires:  ((npmlib(functional-red-black-tree) >= 1.0.1 with npmlib(functional-red-black-tree) < 2.0.0))
BuildRequires:  ((npmlib(glob) >= 7.1.2 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(globals) >= 11.7.0 with npmlib(globals) < 12.0.0))
BuildRequires:  ((npmlib(ignore) >= 4.0.6 with npmlib(ignore) < 5.0.0))
BuildRequires:  ((npmlib(imurmurhash) >= 0.1.4 with npmlib(imurmurhash) < 0.2.0))
BuildRequires:  ((npmlib(inquirer) >= 6.1.0 with npmlib(inquirer) < 7.0.0))
BuildRequires:  ((npmlib(is-resolvable) >= 1.1.0 with npmlib(is-resolvable) < 2.0.0))
BuildRequires:  ((npmlib(js-yaml) >= 3.12.0 with npmlib(js-yaml) < 4.0.0))
BuildRequires:  ((npmlib(json-stable-stringify-without-jsonify) >= 1.0.1 with npmlib(json-stable-stringify-without-jsonify) < 2.0.0))
BuildRequires:  ((npmlib(levn) >= 0.3.0 with npmlib(levn) < 0.4.0))
BuildRequires:  ((npmlib(lodash) >= 4.17.5 with npmlib(lodash) < 5.0.0))
BuildRequires:  ((npmlib(minimatch) >= 3.0.4 with npmlib(minimatch) < 4.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.1 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(natural-compare) >= 1.4.0 with npmlib(natural-compare) < 2.0.0))
BuildRequires:  ((npmlib(optionator) >= 0.8.2 with npmlib(optionator) < 0.9.0))
BuildRequires:  ((npmlib(path-is-inside) >= 1.0.2 with npmlib(path-is-inside) < 2.0.0))
BuildRequires:  ((npmlib(pluralize) >= 7.0.0 with npmlib(pluralize) < 8.0.0))
BuildRequires:  ((npmlib(progress) >= 2.0.0 with npmlib(progress) < 3.0.0))
BuildRequires:  ((npmlib(regexpp) >= 2.0.1 with npmlib(regexpp) < 3.0.0))
BuildRequires:  ((npmlib(require-uncached) >= 1.0.3 with npmlib(require-uncached) < 2.0.0))
BuildRequires:  ((npmlib(semver) >= 5.5.1 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(strip-ansi) >= 4.0.0 with npmlib(strip-ansi) < 5.0.0))
BuildRequires:  ((npmlib(strip-json-comments) >= 2.0.1 with npmlib(strip-json-comments) < 3.0.0))
BuildRequires:  ((npmlib(table) >= 5.0.2 with npmlib(table) < 6.0.0))
BuildRequires:  ((npmlib(text-table) >= 0.2.0 with npmlib(text-table) < 0.3.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
An AST-based pattern checker for JavaScript.

%package 5.9.0
Summary:        An AST-based pattern checker for JavaScript.


%description 5.9.0
An AST-based pattern checker for JavaScript.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr conf %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr messages %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/eslint.js %{buildroot}/%{_bindir}/eslint


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{_bindir}/eslint
%{nodejs_dir}/%{modulename}

%files 5.9.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 5.9.0-1
- Package automatically generated by npm2srpm
